Bug 806824 - [REST API] clients should be able to get informed about reserved application names
[REST API] clients should be able to get informed about reserved application ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: REST API (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 06:04 EDT by Andre Dietisheim
Modified: 2015-05-14 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-11288 Major Open Investigate name exceptions of OpenShift Application 2013-07-17 10:38:19 EDT

  None (edit)
Description Andre Dietisheim 2012-03-26 06:04:45 EDT
Using the legacy service we discovered that there are reserved application names. One may actually not create a application named "richfaces". In the current OpenShift tooling we dont catch these cases but it would very nice in terms of usability. We think that there's not much sense to have a fixed list on the client side, the REST service should offer a request that would return these reserved application-names.
Comment 1 JBoss JIRA Server 2012-03-26 06:18:18 EDT
Andre Dietisheim <adietish@redhat.com> made a comment on jira JBIDE-11288

I filed an appropriate issue in the openshift issue tracker: https://bugzilla.redhat.com/show_bug.cgi?id=806824
Comment 2 JBoss JIRA Server 2012-03-26 11:14:37 EDT
Andre Dietisheim <adietish@redhat.com> made a comment on jira JBIDE-11288

moving this to CR1 since the current solution works but this would offer superior usability.
Comment 3 JBoss JIRA Server 2012-05-07 09:52:26 EDT
Andre Dietisheim <adietish@redhat.com> made a comment on jira JBIDE-11288

postponed to 3.3.x
Comment 4 Krishna Raman 2012-07-25 04:49:25 EDT
https://github.com/openshift/crankcase/pull/265
Comment 5 Krishna Raman 2012-07-26 09:53:57 EDT
curl https://localhost/broker/rest/domains/<domain> will give you information in the app creation link about words that are blacklisted.
Comment 6 Chandrika Gole 2012-07-27 18:44:56 EDT
verified. 

curl -3 -k -H "Accept: application/xml" --user   'cgole@redhat.com:vostok08'  https://ec2-107-21-141-18.compute-1.amazonaws.com/broker/rest/domains/

<name>name</name>
              <valid-options/>
              <description>Name of the application</description>
              <invalid-options>
                <invalid-option>amentra</invalid-option>
                <invalid-option>aop</invalid-option>
                <invalid-option>apiviz</invalid-option>
                <invalid-option>arquillian</invalid-option>
                <invalid-option>blacktie</invalid-option>
                <invalid-option>boxgrinder</invalid-option>
                <invalid-option>byteman</invalid-option>
                <invalid-option>cirras</invalid-option>
                <invalid-option>cloud</invalid-option>
                <invalid-option>cloudforms</invalid-option>
                <invalid-option>cygwin</invalid-option>
                <invalid-option>davcache</invalid-option>
                <invalid-option>dogtag</invalid-option>
                <invalid-option>drools</invalid-option>
                <invalid-option>drools</invalid-option>
                <invalid-option>ejb3</invalid-option>
                <invalid-option>errai</invalid-option>
                <invalid-option>esb</invalid-option>
                <invalid-option>fedora</invalid-option>
                <invalid-option>freeipa</invalid-option>
                <invalid-option>gatein</invalid-option>
                <invalid-option>gfs</invalid-option>
                <invalid-option>gravel</invalid-option>
                <invalid-option>guvnor</invalid-option>
                <invalid-option>hibernate</invalid-option>
                <invalid-option>hornetq</invalid-option>
                <invalid-option>iiop</invalid-option>
                <invalid-option>infinispan</invalid-option>
                <invalid-option>ironjacamar</invalid-option>
                <invalid-option>javassist</invalid-option>
                <invalid-option>jbcaa</invalid-option>
                <invalid-option>jbcd</invalid-option>
                <invalid-option>jboss</invalid-option>
                <invalid-option>jbpm</invalid-option>
                <invalid-option>jdcom</invalid-option>
                <invalid-option>jgroups</invalid-option>
                <invalid-option>jmx</invalid-option>
                <invalid-option>jopr</invalid-option>
                <invalid-option>jrunit</invalid-option>
                <invalid-option>jsfunit</invalid-option>
                <invalid-option>kosmos</invalid-option>
                <invalid-option>liberation</invalid-option>
                <invalid-option>makara</invalid-option>
                <invalid-option>mass</invalid-option>
                <invalid-option>maven</invalid-option>
                <invalid-option>metajizer</invalid-option>
                <invalid-option>metamatrix</invalid-option>
                <invalid-option>mobicents</invalid-option>
                <invalid-option>mod_cluster</invalid-option>
                <invalid-option>modeshape</invalid-option>
                <invalid-option>mugshot</invalid-option>
                <invalid-option>mysql</invalid-option>
                <invalid-option>netty</invalid-option>
                <invalid-option>openshift</invalid-option>
                <invalid-option>osgi</invalid-option>
                <invalid-option>overlord</invalid-option>
                <invalid-option>ovirt</invalid-option>
                <invalid-option>penrose</invalid-option>
                <invalid-option>picketbox</invalid-option>
                <invalid-option>picketlink</invalid-option>
                <invalid-option>portletbridge</invalid-option>
                <invalid-option>portletswap</invalid-option>
                <invalid-option>posse</invalid-option>
                <invalid-option>pressgang</invalid-option>
                <invalid-option>qumranet</invalid-option>
                <invalid-option>railo</invalid-option>
                <invalid-option>redhat</invalid-option>
                <invalid-option>resteasy</invalid-option>
                <invalid-option>rhca</invalid-option>
                <invalid-option>rhcds</invalid-option>
                <invalid-option>rhce</invalid-option>
                <invalid-option>rhcsa</invalid-option>
                <invalid-option>rhcss</invalid-option>
                <invalid-option>rhct</invalid-option>
                <invalid-option>rhcva</invalid-option>
                <invalid-option>rhel</invalid-option>
                <invalid-option>rhev</invalid-option>
                <invalid-option>rhq</invalid-option>
                <invalid-option>rhx</invalid-option>
                <invalid-option>richfaces</invalid-option>
                <invalid-option>riftsaw</invalid-option>
                <invalid-option>savara</invalid-option>
                <invalid-option>scribble</invalid-option>
                <invalid-option>seam</invalid-option>
                <invalid-option>shadowman</invalid-option>
                <invalid-option>shotoku</invalid-option>
                <invalid-option>shrinkwrap</invalid-option>
                <invalid-option>snowdrop</invalid-option>
                <invalid-option>solidice</invalid-option>
                <invalid-option>spacewalk</invalid-option>
                <invalid-option>spice</invalid-option>
                <invalid-option>steamcannon</invalid-option>
                <invalid-option>stormgrind</invalid-option>
                <invalid-option>switchyard</invalid-option>
                <invalid-option>tattletale</invalid-option>
                <invalid-option>teiid</invalid-option>
                <invalid-option>tohu</invalid-option>
                <invalid-option>torquebox</invalid-option>
                <invalid-option>weld</invalid-option>
                <invalid-option>wise</invalid-option>
                <invalid-option>xnio</invalid-option>
              </invalid-options>
              <type>string</type>
            </param>
Comment 7 JBoss JIRA Server 2013-07-17 10:36:07 EDT
Andre Dietisheim <adietish@redhat.com> made a comment on jira JBIDE-11288

bumped to 4.2.x

Note You need to log in before you can comment on or make changes to this bug.